profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyScripts dans le générateur de modèlesProject ScaffoldingBibliothèque multimédia

Sans interface

Démarrage rapideSplit Screen JSON Component Builder with LLMComponent Zod Pull

API REST

REST API OverviewgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

PATCH /csv

Met à jour les champs d'une ligne de source CSV existante appartenant à l'appelant.

Met à jour les champs d'une ligne csv_sources existante appartenant à l'utilisateur appelant.

Auth. : Jeton Bearer JWT (WorkOS). La mise à jour est limitée à votre utilisateur (la revendication sub), vous ne pouvez donc modifier que vos propres sources CSV.

Paramètres de requête

ParamètreTypeObligatoireNotes
iduuidouiIdentifiant de la ligne csv_sources.

Corps de la requête

{
  "schema_name": "post",
  "spreadsheet_data": [ { "title": "Row 1" } ],
  "status": "ready"
}
ChampTypeObligatoireNotes
schema_namestringnonNouveau nom de schéma.
spreadsheet_dataarraynonRemplace raw_data et définit row_count sur la longueur du tableau.
statusstringnonNouveau statut.

Les trois sont facultatifs, mais au moins un doit être fourni.

Réponse

La ligne complète mise à jour :

{
  "id": "...",
  "user_id": "...",
  "schema_name": "post",
  "file_name": "data.csv",
  "file_url": null,
  "raw_data": [],
  "row_count": 1,
  "status": "ready",
  "error_msg": null,
  "created_at": "2026-06-23T18:34:16Z",
  "updated_at": "2026-06-23T20:36:55Z"
}

Exemple

curl -X PATCH '{CMS_API_URL}/csv?id=<uuid>' \
  -H 'Authorization: Bearer <workos-jwt>' \
  -H 'Content-Type: application/json' \
  -d '{"status":"ready"}'

Erreurs

  • 400 — aucun champ modifiable fourni
  • 401 — revendication sub manquante ou JWT invalide
  • 404 — aucune ligne correspondante pour id + votre utilisateur
  • 500 — échec de la mise à jour
Continue Reading
Previous‹POST /csv